Fetch Received Pending Connections
curl --request GET \
--url https://api.sublay.io/v7/:projectId/connections/pending/received \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sublay.io/v7/:projectId/connections/pending/received"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sublay.io/v7/:projectId/connections/pending/received', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"user": {},
"message": {},
"createdAt": "<string>"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalItems": 123,
"totalPages": 123,
"hasMore": true
}
}Connection Endpoints
Fetch Received Pending Connections
Get connection requests received by the authenticated user that are still pending
Fetch Received Pending Connections
Returns a paginated list of connection requests that other users have sent to the authenticated user and that have not yet been responded to.
Users with a block between them and you, in either direction, are excluded
from the results. Requires the
moderation bundle.Query Parameters
number
Page number for pagination. Defaults to
1.number
Number of results per page. Defaults to
20. Max 100.Response
On success, returns HTTP200 with a paginated response:
array
Array of pending connection request entries.
object

